<?php

class DrunitSeleniumRCSetupTest extends Drunit_Extensions_SeleniumTestCase {
  public function testRCSetup() {
    $this->windowMaximize();

    $this->drupalFlushAllCaches();

    $this->seleniumLogin();
    // login as Admin on local too
    $this->drupalLogin(1);

    $this->openAndWait('admin/reports/status');
    $string_to_check = 'Access to update.php';
    $html_page_content = $this->getHtmlSource();
    if (strpos($html_page_content, $string_to_check) !== FALSE) {
      $this->assertTrue(TRUE, "Found '" . $string_to_check . "' in page.");
    }
    else {
      $this->assertTrue(FALSE, "Could not find '" . $string_to_check . "' in page");
    }
  }
}